Record a deployment
curl --request POST \
--url https://api.app.chainloop.dev/v1/deployments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment_name": "<string>",
"artifact_digest": "<string>",
"kind": "ARTIFACT_KIND_UNSPECIFIED",
"artifact_name": "<string>",
"artifact_version": "<string>",
"status": "DEPLOYMENT_STATUS_UNSPECIFIED",
"deployment_name": "<string>",
"logical_environment_name": "<string>"
}
'import requests
url = "https://api.app.chainloop.dev/v1/deployments"
payload = {
"environment_name": "<string>",
"artifact_digest": "<string>",
"kind": "ARTIFACT_KIND_UNSPECIFIED",
"artifact_name": "<string>",
"artifact_version": "<string>",
"status": "DEPLOYMENT_STATUS_UNSPECIFIED",
"deployment_name": "<string>",
"logical_environment_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
environment_name: '<string>',
artifact_digest: '<string>',
kind: 'ARTIFACT_KIND_UNSPECIFIED',
artifact_name: '<string>',
artifact_version: '<string>',
status: 'DEPLOYMENT_STATUS_UNSPECIFIED',
deployment_name: '<string>',
logical_environment_name: '<string>'
})
};
fetch('https://api.app.chainloop.dev/v1/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deployment_record": {
"artifact": {
"kind": "kind",
"name": "name",
"digest": "digest",
"version": "version"
},
"logical_environment_id": "logical_environment_id",
"environment_id": "environment_id",
"updated_at": "2000-01-23T04:56:07.000Z",
"deployment_name": "deployment_name",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"logical_environment_name": "logical_environment_name",
"last_seen_at": "2000-01-23T04:56:07.000Z",
"artifact_id": "artifact_id",
"status": "DEPLOYMENT_STATUS_UNSPECIFIED",
"environment_name": "environment_name"
}
}{
"code": 0,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 6,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 1,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
{
"@type": "@type"
},
{
"@type": "@type"
}
],
"message": "message"
}Record a deployment
Creates or updates a deployment record linking an artifact to an environment. If a record for the same environment and deployment name already exists, it will be updated.
POST
/
v1
/
deployments
Record a deployment
Authorizations
Bearer token for authentication
Body
application/json
Available options:
ARTIFACT_KIND_UNSPECIFIED, CONTAINER_IMAGE, HELM_CHART - DEPLOYED: DEPLOYED indicates the artifact is currently running in the environment slot.
- DECOMMISSIONED: DECOMMISSIONED indicates the artifact has been intentionally removed from the environment slot.
- SUPERSEDED: SUPERSEDED indicates the artifact was replaced by a different artifact in the same environment slot.
Available options:
DEPLOYMENT_STATUS_UNSPECIFIED, DEPLOYED, DECOMMISSIONED, SUPERSEDED Response
A successful response.
deployment_record
DeploymentStatus defines the status of a deployment
DeploymentRecord represents a deployment record entity · object
Show child attributes
Show child attributes
Example:
{
"artifact": {
"kind": "kind",
"name": "name",
"digest": "digest",
"version": "version"
},
"logical_environment_id": "logical_environment_id",
"environment_id": "environment_id",
"updated_at": "2000-01-23T04:56:07.000Z",
"deployment_name": "deployment_name",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"logical_environment_name": "logical_environment_name",
"last_seen_at": "2000-01-23T04:56:07.000Z",
"artifact_id": "artifact_id",
"status": "DEPLOYMENT_STATUS_UNSPECIFIED",
"environment_name": "environment_name"
}
⌘I
